org.jgroups.protocols

## Enum RELAY.RelayHeader.Type

- java.lang.Object
- - java.lang.Enum<RELAY.RelayHeader.Type>
  - - org.jgroups.protocols.RELAY.RelayHeader.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RELAY.RelayHeader.Type>

Enclosing class:
  RELAY.RelayHeader

    public static enum RELAY.RelayHeader.Type
    extends java.lang.Enum<RELAY.RelayHeader.Type>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BROADCAST_VIEW`
`DISSEMINATE`
`FORWARD`
`VIEW`

### Method Summary

Methods
`static RELAY.RelayHeader.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RELAY.RelayHeader.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DISSEMINATE

    public static final RELAY.RelayHeader.Type DISSEMINATE

#### FORWARD

    public static final RELAY.RelayHeader.Type FORWARD

#### VIEW

    public static final RELAY.RelayHeader.Type VIEW

#### BROADCAST_VIEW

    public static final RELAY.RelayHeader.Type BROADCAST_VIEW

### Method Detail

#### values

    public static RELAY.RelayHeader.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RELAY.RelayHeader.Type c : RELAY.RelayHeader.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RELAY.RelayHeader.Type valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null